However, because you already have Weaverbird installed, you may as well just run the Rhino Command: _GrasshopperDeveloperSettings in Rhino 6 and add a new line for C:\Program Files (x86)\Weaverbird (please check exact path).
Hey anyone able to work past this error
“An attempt was made to load an assembly from a network location which would have caused the assembly to be sandboxed in previous versions of the .NET Framework. This release of the .NET Framework does not enable CAS policy by default, so this load may be dangerous. If this load is not intended to sandbox the assembly, please enable the loadFromRemoteSources switch.”
Can’t figure out exactly how to enable that switch?
Hi Giulio, I have only Rhino 6., SR13, educational.
I installed WB using also the Weaverbird.Gh.Registrator.exe When starting Rhino, WB could not be loaded because “incompatibility” (?)with my Rhino version, but I got WB es expected in GH an the components work. I am attaching an image with the error message to see if you can help me. Thanks in advance, Jaime
There is no way to make Weaverbird commands work in V6-V7, because they were using an old SDK and they would have to be rewritten. Sorry. You can however use all Grasshopper components!
Dear Giulio, thank you for your answer. I thought I was doing something wrong. For me, it’s OK if I can use the WB components in GH. And thank you for sharing you tools.
Hello, I am not McNeel so I can’t help you on the content of the SDK but it still work in V6 for me
//Catmull & Clark
Rhino.Geometry.MeshRefinements.RefinementSettings rr = new Rhino.Geometry.MeshRefinements.RefinementSettings();
rr.Level = level;
Rhino.Geometry.MeshRefinements.CreaseEdges ce = Rhino.Geometry.MeshRefinements.CreaseEdges.Auto;
switch(creasedEdge) {
case 0 : ce = Rhino.Geometry.MeshRefinements.CreaseEdges.NakedFixed; break;
case 1 : ce = Rhino.Geometry.MeshRefinements.CreaseEdges.NakedSmooth;break;
case 2 : ce = Rhino.Geometry.MeshRefinements.CreaseEdges.CornerFixedOtherCreased;break;
case 3 : ce = Rhino.Geometry.MeshRefinements.CreaseEdges.Auto;break;}
rr.NakedEdgeMode = ce;
// 3 SMOOTH
catmullMesh = Mesh.CreateRefinedCatmullClarkMesh(raw, rr);
@stevebaer, you’ve updated RhinoCommon for SubD, I don’t know if the equivalent of Rhino’s _Subdivide is included. @vincentfs asks: “Where can I find it?”